Package network.protocol

# Class Packet

java.lang.Object
network.protocol.Packet

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ChangeCellPacket`, `ConnexionInfoPacket`, `DisconnectPacket`, `EndGamePacket`, `KeepAlivePacket`, `LoginPacket`, `PlayerJoinPacket`, `PlayerLeavePacket`, `StartGamePacket`, `UpdatePlayerScorePacket`

public abstract class Packet extends Object implements Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Packet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `accept(PacketVisitor packetVisitor)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Packet

    public Packet()

- ## Method Details

  - ### accept

    public abstract void accept(PacketVisitor packetVisitor)